from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.fine_tuning.create(model="meetkai:functionary-medium", training_file="file_abc123", suffix="my-model", method={
"type": "supervised",
"supervised": {
"hyperparameters": {
"n_epochs": 3,
},
},
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.fineTuning.create({
model: "meetkai:functionary-medium",
trainingFile: "file_abc123",
suffix: "my-model",
method: {
type: "supervised",
supervised: {
hyperparameters: {
nEpochs: 3,
},
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
CreateFineTuningJobRequest req = new CreateFineTuningJobRequest() {
Model = "meetkai:functionary-medium",
TrainingFile = "file_abc123",
Suffix = "my-model",
Method = new Method() {
Type = MethodType.Supervised,
Supervised = new Supervised() {
Hyperparameters = new SupervisedHyperparameters() {
NEpochs = SupervisedHyperparametersNEpochs.CreateInteger(
3
),
},
},
},
};
var res = await sdk.Llm.FineTuning.CreateAsync(req);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/fine_tuning/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "meetkai:functionary-medium",
"training_file": "file_abc123",
"suffix": "my-model",
"method": {
"type": "supervised",
"supervised": {
"hyperparameters": {
"n_epochs": 3
}
}
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'meetkai:functionary-medium',
training_file: 'file_abc123',
suffix: 'my-model',
method: {type: 'supervised', supervised: {hyperparameters: {n_epochs: 3}}}
})
};
fetch('https://apigw.mka1.com/api/v1/llm/fine_tuning/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ftjob_aa87e2b1112a455b8deabed784372198",
"object": "fine_tuning.job",
"created_at": 1704067200,
"model": "meetkai:functionary-medium",
"training_file": "file_abc123",
"validation_file": null,
"fine_tuned_model": null,
"organization_id": "org-123",
"status": "running",
"result_files": [],
"seed": 42,
"hyperparameters": {
"n_epochs": 3,
"batch_size": "auto",
"learning_rate_multiplier": "auto"
},
"method": {
"type": "supervised",
"supervised": {
"hyperparameters": {
"n_epochs": 3
}
}
},
"finished_at": null,
"estimated_finish": null,
"trained_tokens": null,
"error": null,
"integrations": null,
"metadata": {
"experiment": "v1"
},
"suffix": "my-model"
}Crea un trabajo de ajuste fino
Crea un trabajo de ajuste fino que inicia el proceso de entrenar un nuevo modelo a partir de un conjunto de datos dado.
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.fine_tuning.create(model="meetkai:functionary-medium", training_file="file_abc123", suffix="my-model", method={
"type": "supervised",
"supervised": {
"hyperparameters": {
"n_epochs": 3,
},
},
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.fineTuning.create({
model: "meetkai:functionary-medium",
trainingFile: "file_abc123",
suffix: "my-model",
method: {
type: "supervised",
supervised: {
hyperparameters: {
nEpochs: 3,
},
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
CreateFineTuningJobRequest req = new CreateFineTuningJobRequest() {
Model = "meetkai:functionary-medium",
TrainingFile = "file_abc123",
Suffix = "my-model",
Method = new Method() {
Type = MethodType.Supervised,
Supervised = new Supervised() {
Hyperparameters = new SupervisedHyperparameters() {
NEpochs = SupervisedHyperparametersNEpochs.CreateInteger(
3
),
},
},
},
};
var res = await sdk.Llm.FineTuning.CreateAsync(req);
// handle responseAutorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Cuerpo
El modelo base para ajustar
ID de archivo del archivo JSONL de datos de entrenamiento
ID de archivo del archivo JSONL de datos de validación
Sufijo añadido al nombre del modelo ajustado.
64Semilla para la reproducibilidad
-9007199254740991 <= x <= 9007199254740991Deprecado: usa el método en su lugar
Show child attributes
Show child attributes
Configuración del método de ajuste fino
Show child attributes
Show child attributes
Integraciones externas
Show child attributes
Show child attributes
Hasta 16 pares de clave-valor
Show child attributes
Show child attributes
Respuesta
Está bien
-9007199254740991 <= x <= 9007199254740991validating_files, queued, running, succeeded, failed, cancelled -9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
¿Esta página le ayudó?